Subject: bug#16844: closed (Re: Facing some issues while creating one regular expression)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Mar 2014 19:25:03 +0000

Your bug report

#16844: Facing some issues while creating one regular expression

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16844: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16844
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Facing some issues while creating one regular expression
From: Paul Eggert <[email-masked]>
To: [email-masked]
Date: Sat, 08 Mar 2014 11:24:24 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

The regular expression '\*' matches the string '*'.

Subject: Facing some issues while creating one regular expression
From: Machindra Dharmadhikari <[email-masked]>
To: [email-masked]
Date: Sat, 22 Feb 2014 17:23:38 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Team,

Could you please help me to create one regular expression. I think this (*)
special character has not handled in egrep. because i have tried it many
ways but couldn't get required expression.

Could you please help me in this.

Problem : File contains following lines:
#* hard maxlogins 10
@Student hard maxlogins 10
* hard maxlogins 10
hard maxlogins 10
#* hard maxlogins 1024

I want to find only below line from above file. but * is not handling in
regular expression:
* hard maxlogins 10

10 can be replaced by any value. and hard can be - as well. I want to these
cases as well.

Thanks & Regards,
Machindra Dharmadhikari